2

I tried to install Monkeysphere via Homebrew but it complains of an unmet dependency.

monkeysphere: Unsatisfied dependency: Crypt::OpenSSL::Bignum
Homebrew does not provide Perl dependencies; install with:
   cpan -i Crypt::OpenSSL::Bignum
Error: An unsatisfied requirement failed this build.

So I attempted to run the aforementioned command and towards the end it errors out.

Writing Makefile for Crypt::OpenSSL::Bignum
Writing MYMETA.yml and MYMETA.json
cp Bignum/CTX.pm blib/lib/Crypt/OpenSSL/Bignum/CTX.pm
cp Bignum.pm blib/lib/Crypt/OpenSSL/Bignum.pm
/usr/bin/perl /System/Library/Perl/5.18/ExtUtils/xsubpp  -typemap     /System/Library/Perl/5.18/ExtUtils/typemap -typemap typemap  Bignum.xs > Bignum.xsc && mv Bignum.xsc Bignum.c
Please specify prototyping behavior for Bignum.xs (see perlxs manual)
cc -c   -arch x86_64 -g -pipe -fno-common -DPERL_DARWIN -fno-strict-aliasing -fstack-protector -Os   -DVERSION=\"0.06\" -DXS_VERSION=\"0.06\"  "-I/System/Library/Perl/5.18/darwin-thread-multi-2level/CORE"  -DPERL5 -DOPENSSL_NO_KRB5 Bignum.c
Bignum.xs:5:10: fatal error: 'openssl/err.h' file not found
#include <openssl/err.h>
     ^
1 error generated.
make: *** [Bignum.o] Error 1
KMX/Crypt-OpenSSL-Bignum-0.06.tar.gz
/usr/bin/make -- NOT OK
'YAML' not installed, will not store persistent state
Running make test
Can't test without successful make
Running make install
Make had returned bad status, install seems impossible
  • And yes I do have the developer tools installed. $ which make /usr/bin/make – davidcondrey Feb 17 '16 at 1:48
0

I got it working like this

#configure perl
sudo perl -MCPAN -e shell
perl> o conf init
#update perl (this takes a while)
sudo perl -MCPAN -e 'install Bundle::CPAN'
#link openssl
brew link openssl --force
#installing this dependency that monkeysphere was originally complaining about
cpan -i Crypt::OpenSSL::Bignum
#installing monkeysphere
brew install monkeysphere

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .